Debian Bug report logs - #459219
RFP: android -- Android SDK (mobile phone platform)

Package: wnpp; Maintainer for wnpp is wnpp@debian.org;

Reported by: rzr@users.sf.net

Date: Fri, 4 Jan 2008 17:39:01 UTC

Severity: wishlist

Reply or subscribe to this bug.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>:
Bug#459219; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to rzr@users.sf.net:
New Bug report received and forwarded. Copy sent to <wnpp@debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Philippe Coval <rzr@users.sf.net>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: RFP: android -- Android SDK (mobile phone platform)
Date: Fri, 04 Jan 2008 18:34:23 +0100
Package: wnpp
Severity: wishlist


* Package name    : android
  Version         : m3-rc37a
  Upstream Author : Open Handset Alliance
* URL             : http://code.google.com/android
* License         : Apache (unclear)
  Programming Lang: Java, C, C++ maybe
  Description     : SDK for mobile phone platform include an emulator 

Everyone should have heard google's announces about the "opensource mobile plateform"...

Currently there is only SDK available (emulator, code sample, etc)

But, I don't know if the sources are released yet 
if yes then I wish the emulator could be rebuilt from scratch

Some related URL :
  http://code.google.com/android/terms.html
  http://code.google.com/android/kb/licensingandoss.html
  http://code.google.com/p/android/downloads/list
  http://git.android.com/
  http://en.wikipedia.org/wiki/Android_%28mobile_phone_platform%29

I'll update this post if needed

Regards...




Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>:
Bug#459219; Package wnpp. (Wed, 22 Oct 2008 10:18:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Riku Voipio <riku.voipio@iki.fi>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>. (Wed, 22 Oct 2008 10:18:07 GMT) Full text and rfc822 format available.

Message #10 received at 459219@bugs.debian.org (full text, mbox):

From: Riku Voipio <riku.voipio@iki.fi>
To: 459219@bugs.debian.org, rzr@users.sf.net, davidw@debian.org
Subject: RFP: android -- Android SDK (mobile phone platform)
Date: Wed, 22 Oct 2008 13:06:56 +0300
Sources are now out:

http://source.android.com/
http://android.git.kernel.org/

davidw has been busy advertizing android on planet.debian.org
so I take he is interested in packaging too ;)

Rzr wrote:
> But, I don't know if the sources are released yet
> if yes then I wish the emulator could be rebuilt from scratch

The emulator is hacked qemu:

http://android.git.kernel.org/?p=platform/external/qemu.git;a=commit;h=55f4e4a5ec657a017e3bf75299ad71fd1c968dd3

So changes should be merged back to upstream qemu.



-- 
"rm -rf" only sounds scary if you don't have backups




Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>:
Bug#459219; Package wnpp. (Tue, 23 Dec 2008 23:48:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Junichi Uekawa <dancer@netfort.gr.jp>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>. (Tue, 23 Dec 2008 23:48:03 GMT) Full text and rfc822 format available.

Message #15 received at 459219@bugs.debian.org (full text, mbox):

From: Junichi Uekawa <dancer@netfort.gr.jp>
To: 459219@bugs.debian.org, rzr@users.sf.net, davidw@debian.org
Subject: status of ITP android SDK?
Date: Wed, 24 Dec 2008 08:44:51 +0900
Hi guys,

Any updates on this Android SDK RFP ?







Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>:
Bug#459219; Package wnpp. (Thu, 15 Jan 2009 15:48:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Philippe Coval <rzr@users.sf.net>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>. (Thu, 15 Jan 2009 15:48:05 GMT) Full text and rfc822 format available.

Message #20 received at 459219@bugs.debian.org (full text, mbox):

From: Philippe Coval <rzr@users.sf.net>
To: 459219@bugs.debian.org
Subject: debian : android : packaging
Date: Thu, 15 Jan 2009 16:43:06 +0100
[Message part 1 (text/plain, inline)]
Hi,

I started  build on latest version on ubuntu (if it matters)
but it failed (previous one built ok) :

I won't ITP it today (since have other ITP in progress, and It's hard to
find sponsorship)
but I am interested into co-maintenance, do you know a team that can
host this project ?
Java team ? tell me and I upload my sources

Anyway any feedback/patches  on my draft , are welcome

http://rzr.online.fr/ubuntu/pool/main/a/android-emulator/

Regards

To Be Tracked : http://rzr.online.fr/q/android

-- 
  #  Philippe Coval     mailto:rzr[a]users.sf.net    pgp:0x467094BC  #
  #  http://rzr.online.fr/contribs.htm xmpp:rzr[a]jabber.fr irc:RzR  #




[signature.asc (application/pgp-signature, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>:
Bug#459219; Package wnpp. (Fri, 30 Jan 2009 16:54:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Philippe Coval <rzr@users.sf.net>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>. (Fri, 30 Jan 2009 16:54:03 GMT) Full text and rfc822 format available.

Message #25 received at 459219@bugs.debian.org (full text, mbox):

From: Philippe Coval <rzr@users.sf.net>
To: 459219@bugs.debian.org
Subject: debian : android : packages
Date: Fri, 30 Jan 2009 17:52:12 +0100
[Message part 1 (text/plain, inline)]
Hi,

Any news on qemu merge ?

Check this article  :
http://www.newlc.com/en/deb-packages-android-sdk-bleeding-edge-cupcake-images

I published some quick and dirty packages :

* android-emulator : which is the qemu fork
* android-sdk : which is the whole precompiled sdk (by updateam) it
works also on amd64

Hope it helps...

I am not sure all can be packaged into debian, since the images contains
opera ...


-- 
  #  Philippe Coval     mailto:rzr[a]users.sf.net    pgp:0x467094BC  #
  #  http://rzr.online.fr/contribs.htm xmpp:rzr[a]jabber.fr irc:RzR  #


[signature.asc (application/pgp-signature, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>:
Bug#459219; Package wnpp. (Wed, 20 Jan 2010 13:09:09 GMT) Full text and rfc822 format available.

Acknowledgement sent to Bastien ROUCARIES <roucaries.bastien@gmail.com>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>. (Wed, 20 Jan 2010 13:09:09 GMT) Full text and rfc822 format available.

Message #30 received at 459219@bugs.debian.org (full text, mbox):

From: Bastien ROUCARIES <roucaries.bastien@gmail.com>
To: "459219@bugs.debian.org" <459219@bugs.debian.org>
Subject: Any news of this itp ?
Date: Wed, 20 Jan 2010 14:07:29 +0100
Hi,

Any news of this ITP ?

Bastien




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#459219; Package wnpp. (Wed, 02 Jun 2010 18:57:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Pinkus Jakobowitz <Pinkus@kjcouncil.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Wed, 02 Jun 2010 18:57:03 GMT) Full text and rfc822 format available.

Message #35 received at 459219@bugs.debian.org (full text, mbox):

From: Pinkus Jakobowitz <Pinkus@kjcouncil.org>
To: 459219@bugs.debian.org
Subject: Android Emulator - Cell on PC
Date: Wed, 02 Jun 2010 14:43:28 -0400
[Message part 1 (text/plain, inline)]
Hi,
If I just need the Android emulator so that my regular PC (Windows XP) 
would emulate the mobile phone (having mobile phone functionality on my 
PC); how do I go about it?
Thanks for your help!
Pinkus

[Message part 2 (text/html, inline)]

Changed Bug title to 'ITP: android -- Android SDK (mobile phone platform)' from 'RFP: android -- Android SDK (mobile phone platform)' Request was from Rahul Bedarkar <rahulbedarkar89@gmail.com> to control@bugs.debian.org. (Wed, 26 Jan 2011 13:00:03 GMT) Full text and rfc822 format available.

Owner recorded as Rahul S. Bedarkar <rahulbedarkar89@gmail.com>. Request was from Rahul Bedarkar <rahulbedarkar89@gmail.com> to control@bugs.debian.org. (Wed, 26 Jan 2011 13:00:03 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Rahul S. Bedarkar <rahulbedarkar89@gmail.com>:
Bug#459219; Package wnpp. (Wed, 27 Jul 2011 16:27:32 GMT) Full text and rfc822 format available.

Acknowledgement sent to Lucas Nussbaum <lucas@debian.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Rahul S. Bedarkar <rahulbedarkar89@gmail.com>. (Wed, 27 Jul 2011 16:27:32 GMT) Full text and rfc822 format available.

Message #44 received at 459219@bugs.debian.org (full text, mbox):

From: Lucas Nussbaum <lucas@debian.org>
To: 459219@bugs.debian.org
Cc: control@bugs.debian.org
Subject: android: changing back from ITP to RFP
Date: Wed, 27 Jul 2011 18:02:32 +0200
retitle 459219 RFP: android -- Android SDK (mobile phone platform)
noowner 459219
thanks

Hi,

This is an automatic email to change the status of android back from ITP
(Intent to Package) to RFP (Request for Package), because this bug hasn't seen
any activity during the last 6 months.

If you are still interested in adopting android, please send a mail to
<control@bugs.debian.org> with:

 retitle 459219 ITP: android -- Android SDK (mobile phone platform)
 owner 459219 !
 thanks

However, it is not recommended to keep ITP for a long time without acting on
the package, as it might cause other prospective maintainers to refrain from
packaging that software. It is also a good idea to document your progress on
this ITP from time to time, by mailing <459219@bugs.debian.org>.

Thank you for your interest in Debian,
-- 
Lucas, for the QA team <debian-qa@lists.debian.org>




Changed Bug title to 'RFP: android -- Android SDK (mobile phone platform)' from 'ITP: android -- Android SDK (mobile phone platform)' Request was from Lucas Nussbaum <lucas@debian.org> to control@bugs.debian.org. (Wed, 27 Jul 2011 16:44:59 GMT) Full text and rfc822 format available.

Removed annotation that Bug was owned by Rahul S. Bedarkar <rahulbedarkar89@gmail.com>. Request was from Lucas Nussbaum <lucas@debian.org> to control@bugs.debian.org. (Wed, 27 Jul 2011 16:44:59 GMT) Full text and rfc822 format available.

Changed Bug title to 'ITP: android -- Android SDK (mobile phone platform)' from 'RFP: android -- Android SDK (mobile phone platform)' Request was from Adnan Hodzic <adnan@foolcontrol.org> to control@bugs.debian.org. (Sat, 03 Dec 2011 18:09:04 GMT) Full text and rfc822 format available.

Owner recorded as Adnan Hodzic <adnan@foolcontrol.org>. Request was from Adnan Hodzic <adnan@foolcontrol.org> to control@bugs.debian.org. (Sat, 03 Dec 2011 18:09:05 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Adnan Hodzic <adnan@foolcontrol.org>:
Bug#459219; Package wnpp. (Fri, 09 Dec 2011 11:51:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Olivier Berger <oberger@ouvaton.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Adnan Hodzic <adnan@foolcontrol.org>. (Fri, 09 Dec 2011 11:51:24 GMT) Full text and rfc822 format available.

Message #57 received at 459219@bugs.debian.org (full text, mbox):

From: Olivier Berger <oberger@ouvaton.org>
To: Adnan Hodzic <adnan@foolcontrol.org>
Cc: 459219@bugs.debian.org
Subject: Re: your mail
Date: Fri, 9 Dec 2011 10:57:06 +0100
Hi.

On Sat, Dec 03, 2011 at 07:06:16PM +0100, Adnan Hodzic wrote:
> retitle 459219 ITP: android -- Android SDK (mobile phone platform)
> owner 459219 !
> thanks
> 

Would you mind sharing with #459219 your progress on this packaging ?

Thanks in advance.

Best regards,
-- 
Olivier BERGER 
(OpenPGP: 4096R/7C5BB6A5)
http://www.olivierberger.com/weblog/




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#459219; Package wnpp. (Sun, 11 Dec 2011 13:24:40 GMT) Full text and rfc822 format available.

Acknowledgement sent to Adnan Hodzic <adnan@foolcontrol.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Sun, 11 Dec 2011 13:24:48 GMT) Full text and rfc822 format available.

Message #62 received at 459219@bugs.debian.org (full text, mbox):

From: Adnan Hodzic <adnan@foolcontrol.org>
To: Olivier Berger <oberger@ouvaton.org>
Cc: 459219@bugs.debian.org
Subject: Re: your mail
Date: Sun, 11 Dec 2011 14:22:53 +0100
> Would you mind sharing with #459219 your progress on this packaging ?
No I wouldn't mind sharing my progress on this package as I'm of
opinion that all of us could only benefit from one such thing.

For last ~4 years this ITP has been up, in this last ~10 days since
I've changed the ITP ownership to my name I believe I did great
progress on the same. I was even thinking of releasing a first build
of the same this week, but other "life" obligations prevented me doing
so.

First I was thinking of releasing a semi-automatic installer which
would guide you through the installation process, dialogs asking you
which version/s (API's) you want installed/and or other components and
ability to install the ADT plugin for Eclipse.

In the end I don't know how much sense this makes at this point and
concluded that these should released as separate packages, at least
the android sdk and adt plugin. When it comes to the sdk I'm almost
finished building the package and just want to test it out more before
pushing it to unstable and *hopefully* it'll happen this following
week.

When it comes to ADT Plugin, I haven't got too far with this as
Eclipse currently FTBFS but this too should happen very soon.
On Fri, Dec 9, 2011 at 10:57 AM, Olivier Berger <oberger@ouvaton.org> wrote:
> Hi.
>
> On Sat, Dec 03, 2011 at 07:06:16PM +0100, Adnan Hodzic wrote:
>> retitle 459219 ITP: android -- Android SDK (mobile phone platform)
>> owner 459219 !
>> thanks
>>
>
> Would you mind sharing with #459219 your progress on this packaging ?
>
> Thanks in advance.
>
> Best regards,
> --
> Olivier BERGER
> (OpenPGP: 4096R/7C5BB6A5)
> http://www.olivierberger.com/weblog/



-- 
Adnan




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Adnan Hodzic <adnan@foolcontrol.org>:
Bug#459219; Package wnpp. (Fri, 13 Jul 2012 06:57:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Christoph Egger <christoph@debian.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Adnan Hodzic <adnan@foolcontrol.org>. (Fri, 13 Jul 2012 06:57:08 GMT) Full text and rfc822 format available.

Message #67 received at 459219@bugs.debian.org (full text, mbox):

From: Christoph Egger <christoph@debian.org>
To: 459219@bugs.debian.org
Cc: Adnan Hodzic <adnan@foolcontrol.org>
Subject: Ping wrt Android SDK
Date: Fri, 13 Jul 2012 01:06:32 +0200
Hi!

  Just wondering how are you coming along with the Android SDK package
(I'm mostly interested in fastboot and adb tools)? Some larger Problems
still to solve or "just" busy?

Regards

    Christoph

-- 
9FED 5C6C E206 B70A 5857  70CA 9655 22B9 D49A E731
Debian Developer | Lisp Hacker | CaCert Assurer




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#459219; Package wnpp. (Mon, 16 Jul 2012 23:09:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Adnan Hodzic <adnan@foolcontrol.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Mon, 16 Jul 2012 23:09:03 GMT) Full text and rfc822 format available.

Message #72 received at 459219@bugs.debian.org (full text, mbox):

From: Adnan Hodzic <adnan@foolcontrol.org>
To: Christoph Egger <christoph@debian.org>
Cc: 459219@bugs.debian.org
Subject: Re: Ping wrt Android SDK
Date: Mon, 16 Jul 2012 18:23:18 -0400
Hello Christoph,

Sorry for the delayed reply, I was in Las Vegas over a weekend and
didn't have much time to handle emails. Regarding Android SDK and this
ITP I have no larger problems, I'm just busy as after graduating from
University I'm too busy with finding a "real" job.

This May as part of my University Capstone project I wrote a paper and
released first version of "android-sdk-linux" script which when
finished should be packaged. If you're interested you take a look at
"Implementation of Android SDK into Debian Linux" for more info:

http://foolcontrol.org/cloud/public.php?service=files&token=8966c6a58763835559f7a0e400c1324e21e74842&file=/Documents/cita%20481%20-%20capstone/Implementation%20of%20Android%20SDK%20into%20Debian%20Linux.pdf

Even thought it's all been said in the paper my plans for future is to
finish the script, upload it to one of the distributed version control
systems (GIT?) and upload the first version of the "android-sdk-linux"
Debian package.


Regards,

Adnan

On Thu, Jul 12, 2012 at 7:06 PM, Christoph Egger <christoph@debian.org> wrote:
> Hi!
>
>   Just wondering how are you coming along with the Android SDK package
> (I'm mostly interested in fastboot and adb tools)? Some larger Problems
> still to solve or "just" busy?
>
> Regards
>
>     Christoph
>
> --
> 9FED 5C6C E206 B70A 5857  70CA 9655 22B9 D49A E731
> Debian Developer | Lisp Hacker | CaCert Assurer



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Adnan Hodzic <adnan@foolcontrol.org>:
Bug#459219; Package wnpp. (Tue, 24 Jul 2012 12:42:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Marcin Juszkiewicz <marcin.juszkiewicz@linaro.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Adnan Hodzic <adnan@foolcontrol.org>. (Tue, 24 Jul 2012 12:42:03 GMT) Full text and rfc822 format available.

Message #77 received at 459219@bugs.debian.org (full text, mbox):

From: Marcin Juszkiewicz <marcin.juszkiewicz@linaro.org>
To: 459219@bugs.debian.org
Subject: Android tools
Date: Tue, 24 Jul 2012 14:31:25 +0200
Hello

I packaged Android tools (adb + fastboot) and provide it for Ubuntu in
Linaro Tools PPA [1] and also as source on my website [2].

Can you tell me does it have a sense to add it into Debian or rather
wait for your Android SDK packages which will provide those tools?


1. https://launchpad.net/~linaro-maintainers/+archive/tools/
2. http://marcin.juszkiewicz.com.pl/~hrw/debian/



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#459219; Package wnpp. (Fri, 27 Jul 2012 17:57:08 GMT) Full text and rfc822 format available.

Acknowledgement sent to Adnan Hodzic <adnan@foolcontrol.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Fri, 27 Jul 2012 17:57:08 GMT) Full text and rfc822 format available.

Message #82 received at 459219@bugs.debian.org (full text, mbox):

From: Adnan Hodzic <adnan@foolcontrol.org>
To: Marcin Juszkiewicz <marcin.juszkiewicz@linaro.org>, 459219@bugs.debian.org
Subject: Re: Bug#459219: Android tools
Date: Fri, 27 Jul 2012 13:56:09 -0400
I was too busy for last few days so I didn't even get to reply. Either
way, just now I publicly published what I have when it comes to
"android-sdk-installer" script. And yes, I'd rather have all those
tools as one package as I originally intended if you don't mind.

android-sdk-installer for Linux (Debian/Ubuntu): http://foolcontrol.org/?p=1545

Later on I'll publish this same post on "OMG! Ubuntu" so hopefully
this whole thing gets some momentum.


Adnan

On Tue, Jul 24, 2012 at 8:31 AM, Marcin Juszkiewicz
<marcin.juszkiewicz@linaro.org> wrote:
> Hello
>
> I packaged Android tools (adb + fastboot) and provide it for Ubuntu in
> Linaro Tools PPA [1] and also as source on my website [2].
>
> Can you tell me does it have a sense to add it into Debian or rather
> wait for your Android SDK packages which will provide those tools?
>
>
> 1. https://launchpad.net/~linaro-maintainers/+archive/tools/
> 2. http://marcin.juszkiewicz.com.pl/~hrw/debian/



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Adnan Hodzic <adnan@foolcontrol.org>:
Bug#459219; Package wnpp. (Fri, 27 Jul 2012 19:45:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Marcin Juszkiewicz <marcin.juszkiewicz@linaro.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Adnan Hodzic <adnan@foolcontrol.org>. (Fri, 27 Jul 2012 19:45:03 GMT) Full text and rfc822 format available.

Message #87 received at 459219@bugs.debian.org (full text, mbox):

From: Marcin Juszkiewicz <marcin.juszkiewicz@linaro.org>
To: Adnan Hodzic <adnan@foolcontrol.org>
Cc: 459219@bugs.debian.org
Subject: Re: Bug#459219: Android tools
Date: Fri, 27 Jul 2012 21:42:51 +0200
W dniu 27.07.2012 19:56, Adnan Hodzic pisze:
> I was too busy for last few days so I didn't even get to reply. 
> Either way, just now I publicly published what I have when it comes 
> to "android-sdk-installer" script. And yes, I'd rather have all those
> tools as one package as I originally intended if you don't mind.

I am fine with it. But do you cover !i386 !amd64 architectures? There
are people who are using armel/armhf/mipsel laptops/netbooks and Android
devices at same time.



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Adnan Hodzic <adnan@foolcontrol.org>:
Bug#459219; Package wnpp. (Sat, 11 Aug 2012 19:30:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jeremy Bicha <jbicha@ubuntu.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Adnan Hodzic <adnan@foolcontrol.org>. (Sat, 11 Aug 2012 19:30:03 GMT) Full text and rfc822 format available.

Message #92 received at 459219@bugs.debian.org (full text, mbox):

From: Jeremy Bicha <jbicha@ubuntu.com>
To: 459219@bugs.debian.org
Subject: Re: Bug#459219: android-tools now packaged in Ubuntu
Date: Sat, 11 Aug 2012 15:26:34 -0400
android-tools (providing android-tools-adb and android-tools-fastboot)
has now been packaged in Ubuntu. I think this would be a great help to
Android ROM users, especially since I believe Google doesn't make
these available as a simple download for Linux amd64 users. At least
it's not at http://developer.android.com/sdk

I think those two binaries should be easier and faster to get into
Debian than the full Android SDK.

https://launchpad.net/ubuntu/+source/android-tools

Thanks,
Jeremy



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Adnan Hodzic <adnan@foolcontrol.org>:
Bug#459219; Package wnpp. (Tue, 14 Aug 2012 18:03:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Laszlo Boszormenyi (GCS)" <gcs@debian.hu>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Adnan Hodzic <adnan@foolcontrol.org>. (Tue, 14 Aug 2012 18:03:03 GMT) Full text and rfc822 format available.

Message #97 received at 459219@bugs.debian.org (full text, mbox):

From: "Laszlo Boszormenyi (GCS)" <gcs@debian.hu>
To: Marcin Juszkiewicz <marcin.juszkiewicz@linaro.org>, Adnan Hodzic <adnan@foolcontrol.org>
Cc: 459219@bugs.debian.org
Subject: android-tools packaging
Date: Tue, 14 Aug 2012 18:01:54 +0000
Hi Marcin, Adnan,

I think this ITP should be several ones. One for command like tools like
adb , one for Eclipse plugin and one for the emulator at least.
ATM Adnan's work is great. I'm a DD and just changed bits in his
packaging to be perfect.

I think it should be uploaded (ie, the android-tools package). Most
users will need only adb and fastboot. The other parts can be packaged
later. Would you let me file an ITP for android-tools and upload it?
I've set myself as the maintainer and Adnan as uploader.

Regards,
Laszlo/GCS




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#459219; Package wnpp. (Wed, 15 Aug 2012 14:12:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Adnan Hodzic <adnan@foolcontrol.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Wed, 15 Aug 2012 14:12:03 GMT) Full text and rfc822 format available.

Message #102 received at 459219@bugs.debian.org (full text, mbox):

From: Adnan Hodzic <adnan@foolcontrol.org>
To: "Laszlo Boszormenyi (GCS)" <gcs@debian.hu>, 459219@bugs.debian.org
Cc: Marcin Juszkiewicz <marcin.juszkiewicz@linaro.org>, Jeremy Bicha <jbicha@ubuntu.com>
Subject: Re: Bug#459219: android-tools packaging
Date: Wed, 15 Aug 2012 16:07:14 +0200
First of all, I'd like to apologize for not replying for so long, I
was too busy with this thing called life. But am now ready to get back
to work and finish this project.

+Marcin,

>On Fri, Jul 27, 2012 at 9:42 PM, Marcin Juszkiewicz <marcin.juszkiewicz@linaro.org> wrote:
>> I was too busy for last few days so I didn't even get to reply.
>> Either way, just now I publicly published what I have when it comes
>> to "android-sdk-installer" script. And yes, I'd rather have all those
>> tools as one package as I originally intended if you don't mind.

> I am fine with it. But do you cover !i386 !amd64 architectures? There
> are people who are using armel/armhf/mipsel laptops/netbooks and Android
> devices at same time.

At this point no, but it's good you brought my attention to it as it
can easily be implemented in the script. In the script itself I
commented a part which says to implement multiarch support. So I guess
that part would take care of the !386 && !amd64 architectures.

+Jeremy,

> On Sat, Aug 11, 2012 at 9:26 PM, Jeremy Bicha <jbicha@ubuntu.com> wrote:
> android-tools (providing android-tools-adb and android-tools-fastboot)
> has now been packaged in Ubuntu. I think this would be a great help to
> Android ROM users, especially since I believe Google doesn't make
> these available as a simple download for Linux amd64 users. At least
> it's not at http://developer.android.com/sdk
>
> I think those two binaries should be easier and faster to get into
> Debian than the full Android SDK.
>
> https://launchpad.net/ubuntu/+source/android-tools

*thumbs up

Looks great, proper naming too, however the only thing I'm curious
about. Why not have all the tools (even tho users might not use even
1/3 of them)?

In my script this is handled by "Android SDK Starter Package" which
installs *all* the tools, please see line: 315 to ~364

https://github.com/AdnanHodzic/android-sdk-installer/blob/master/android-sdk-installer

+Laszlo,

>On Tue, Aug 14, 2012 at 8:01 PM, Laszlo Boszormenyi (GCS) <gcs@debian.hu> wrote:
> Hi Marcin, Adnan,
>
> I think this ITP should be several ones. One for command like tools like
> adb , one for Eclipse plugin and one for the emulator at least.
> ATM Adnan's work is great. I'm a DD and just changed bits in his
> packaging to be perfect.

Thank you for appreciating my work.
Which bits did you change because I don't see any chances in the code.

Also why do you think we should separate them in couple of pieces
instead of having the installer which could let you select which
pieces you want and which you don't?

> I think it should be uploaded (ie, the android-tools package). Most
> users will need only adb and fastboot. The other parts can be packaged
> later. Would you let me file an ITP for android-tools and upload it?
> I've set myself as the maintainer and Adnan as uploader.

I personally would like to have it all in a single package, thus why I
started working on this installer.

In case we do decide to the way you suggested above, besides being an
uploader do you mind me being a maintainer together with you? Because
I really do have great interest in future of this package.


Adnan



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Adnan Hodzic <adnan@foolcontrol.org>:
Bug#459219; Package wnpp. (Wed, 15 Aug 2012 18:51:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Laszlo Boszormenyi (GCS)" <gcs@debian.hu>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Adnan Hodzic <adnan@foolcontrol.org>. (Wed, 15 Aug 2012 18:51:03 GMT) Full text and rfc822 format available.

Message #107 received at 459219@bugs.debian.org (full text, mbox):

From: "Laszlo Boszormenyi (GCS)" <gcs@debian.hu>
To: Adnan Hodzic <adnan@foolcontrol.org>
Cc: 459219@bugs.debian.org, Marcin Juszkiewicz <marcin.juszkiewicz@linaro.org>, Jeremy Bicha <jbicha@ubuntu.com>
Subject: Re: Bug#459219: android-tools packaging
Date: Wed, 15 Aug 2012 18:48:56 +0000
[Message part 1 (text/plain, inline)]
On Wed, 2012-08-15 at 16:07 +0200, Adnan Hodzic wrote:
> >On Tue, Aug 14, 2012 at 8:01 PM, Laszlo Boszormenyi (GCS) <gcs@debian.hu> wrote:
> > I think this ITP should be several ones. One for command like tools like
> > adb , one for Eclipse plugin and one for the emulator at least.
> > ATM Adnan's work is great. I'm a DD and just changed bits in his
> > packaging to be perfect.
> 
> Thank you for appreciating my work.
> Which bits did you change because I don't see any chances in the code.
 I've my own package, not yet uploaded to anywhere. Attached a diff what
I've changed. I was wrong by the way, it's Marcin who made a very good
package of android-tools. He tries to outsmart debhelper and do some
parts by hand. It's not needed, just show debhelper where it can find
the files. Also, install manpage as is, not with the binary.
I would be happy to maintain android-tools with him or me for Debian and
he is for Ubuntu but with the same package base.

> Also why do you think we should separate them in couple of pieces
> instead of having the installer which could let you select which
> pieces you want and which you don't?
> 
> I personally would like to have it all in a single package, thus why I
> started working on this installer.
 Still didn't check your installer in detail. But why do you want to be
outsmart apt-get and dpkg? It would be similar like a gnome-all package,
where you choose you need for example evince, but not gome-terminal.
How do you handle Eclipse dependency? One package has one dependency
line in it. If you set the package need Eclipse, it would be an overkill
for ones they don't need the Android plug-in in general. If you miss it,
you will install the plug-in without the editor that uses it.
Also, you'll just kill GUI based package installers. Those won't handle
that you ask question on CLI.
May add more CLI tools to android-tools package, but currently it seems
to be a good start.

> In case we do decide to the way you suggested above, besides being an
> uploader do you mind me being a maintainer together with you? Because
> I really do have great interest in future of this package.
 Maintainer and uploader have the same rights and can be changed anytime
one doesn't want contribute to the package anymore.

Laszlo/GCS
[android-tools_deb.diff (text/x-patch, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Adnan Hodzic <adnan@foolcontrol.org>:
Bug#459219; Package wnpp. (Mon, 20 Aug 2012 06:30:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Marcin Juszkiewicz <marcin.juszkiewicz@linaro.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Adnan Hodzic <adnan@foolcontrol.org>. (Mon, 20 Aug 2012 06:30:03 GMT) Full text and rfc822 format available.

Message #112 received at 459219@bugs.debian.org (full text, mbox):

From: Marcin Juszkiewicz <marcin.juszkiewicz@linaro.org>
To: "Laszlo Boszormenyi (GCS)" <gcs@debian.hu>
Cc: Adnan Hodzic <adnan@foolcontrol.org>, 459219@bugs.debian.org, Jeremy Bicha <jbicha@ubuntu.com>
Subject: Re: Bug#459219: android-tools packaging
Date: Mon, 20 Aug 2012 08:27:44 +0200
W dniu 15.08.2012 20:48, Laszlo Boszormenyi (GCS) pisze:
> On Wed, 2012-08-15 at 16:07 +0200, Adnan Hodzic wrote:
>>> On Tue, Aug 14, 2012 at 8:01 PM, Laszlo Boszormenyi (GCS) 
>>> <gcs@debian.hu> wrote:

>>> I think this ITP should be several ones. One for command like 
>>> tools like adb , one for Eclipse plugin and one for the emulator 
>>> at least.

I never looked too much at Android SDK structure - have it installed on
one machine but then decided to create android-tools package cause I was
mainly using adb and fastboot commands.

>>> ATM Adnan's work is great. I'm a DD and just changed bits in his 
>>> packaging to be perfect.
>> 
>> Thank you for appreciating my work. Which bits did you change 
>> because I don't see any chances in the code.

> I've my own package, not yet uploaded to anywhere. Attached a diff 
> what I've changed. I was wrong by the way, it's Marcin who made a 
> very good package of android-tools. He tries to outsmart debhelper 
> and do some parts by hand. It's not needed, just show debhelper
> where it can find the files. Also, install manpage as is, not with
> the binary.

Thanks for deb.diff - I am too used to debhelper < 7 where all steps
were present in debian/rules ;)

> I would be happy to maintain android-tools with him or me for Debian 
> and he is for Ubuntu but with the same package base.

I plan to apply for DM soon so we could co-maintain it in Debian and
just request syncs in Ubuntu. But decided to first get some packages
sponsored otherwise it would does not have sense.

>> Also why do you think we should separate them in couple of pieces 
>> instead of having the installer which could let you select which 
>> pieces you want and which you don't?
>> 
>> I personally would like to have it all in a single package, thus 
>> why I started working on this installer.

But you are fetching binaries so I do not think that it may end in
'main' part of Debian. Not to mention lack of support for architectures
other then i386/amd64 which mean no adb/fastboot for my Efika MX
Smartbook (which runs armhf).

> May add more CLI tools to android-tools package, but currently it 
> seems to be a good start.

Adding more tools is in TODO - so far users of package does not
requested other ones.



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Adnan Hodzic <adnan@foolcontrol.org>:
Bug#459219; Package wnpp. (Wed, 05 Sep 2012 00:06:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Stefan Handschuh <handschuh.stefan@googlemail.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Adnan Hodzic <adnan@foolcontrol.org>. (Wed, 05 Sep 2012 00:06:03 GMT) Full text and rfc822 format available.

Message #117 received at 459219@bugs.debian.org (full text, mbox):

From: Stefan Handschuh <handschuh.stefan@googlemail.com>
To: 459219@bugs.debian.org
Subject: Additional tools
Date: Wed, 05 Sep 2012 02:01:21 +0200
[Message part 1 (text/plain, inline)]
Hi,

thanks for everyone's effort on this.

AFAIK there are only a few more things to add in order to be able to
create android packages in debian (please correct me, if I am wrong on
that):
- aapt (c++, "resource file compiler")
- dx.jar (java, creates dalvik bytecode)
- sdklib.jar (java, creates the apk out of the dalvik bytecode and
compiled sources)
- zipalign (c++, optional as in only aligns the package)
- android.jar (java, actual android library used for creating java
bytecode, different for each api level)

The first four can be used for all android api levels, I think. In which
extend the android.jar is backwards compatible is something, I do not
know.

Of course it would be also nice to have the eclipse plugin but anyway,
with the above written 5(4) components and the existing android-tools
packages, one could start develop using a real phone as an emulator
substitute until the emulator get packaged.

As the sourcecode is available for all these components, 'proper' debian
packages can be created.

Best regards,
   Stefan
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Adnan Hodzic <adnan@foolcontrol.org>:
Bug#459219; Package wnpp. (Fri, 07 Sep 2012 00:09:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Stefan Handschuh <handschuh.stefan@googlemail.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Adnan Hodzic <adnan@foolcontrol.org>. (Fri, 07 Sep 2012 00:09:03 GMT) Full text and rfc822 format available.

Message #122 received at 459219@bugs.debian.org (full text, mbox):

From: Stefan Handschuh <handschuh.stefan@googlemail.com>
To: 459219@bugs.debian.org
Subject: Re: Additional tools
Date: Fri, 07 Sep 2012 02:04:46 +0200
[Message part 1 (text/plain, inline)]
The sdklib package is ready, and I am going to upload it to mentors
after having filed the RFP and ITP bugs during the next few days.

If nobody objects, I would like to keep this bugreport-thread as some
sort of reference collection for the other android sdk packages.

Am Mittwoch, den 05.09.2012, 02:01 +0200 schrieb Stefan Handschuh: 
> Hi,
> 
> thanks for everyone's effort on this.
> 
> AFAIK there are only a few more things to add in order to be able to
> create android packages in debian (please correct me, if I am wrong on
> that):
> - aapt (c++, "resource file compiler")
> - dx.jar (java, creates dalvik bytecode)
> - sdklib.jar (java, creates the apk out of the dalvik bytecode and
> compiled sources)
> - zipalign (c++, optional as in only aligns the package)
> - android.jar (java, actual android library used for creating java
> bytecode, different for each api level)
> 
> The first four can be used for all android api levels, I think. In which
> extend the android.jar is backwards compatible is something, I do not
> know.
> 
> Of course it would be also nice to have the eclipse plugin but anyway,
> with the above written 5(4) components and the existing android-tools
> packages, one could start develop using a real phone as an emulator
> substitute until the emulator get packaged.
> 
> As the sourcecode is available for all these components, 'proper' debian
> packages can be created.
> 
> Best regards,
>    Stefan

[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Adnan Hodzic <adnan@foolcontrol.org>:
Bug#459219; Package wnpp. (Wed, 12 Sep 2012 00:24:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Stefan Handschuh <handschuh.stefan@googlemail.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Adnan Hodzic <adnan@foolcontrol.org>. (Wed, 12 Sep 2012 00:24:03 GMT) Full text and rfc822 format available.

Message #127 received at 459219@bugs.debian.org (full text, mbox):

From: Stefan Handschuh <handschuh.stefan@googlemail.com>
To: 459219@bugs.debian.org
Subject: Re: Additional tools
Date: Wed, 12 Sep 2012 02:21:31 +0200
For the sdklib, the ITP bug is #687057. A package (which is referenced
there) has been uploaded to mentors, too.




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Adnan Hodzic <adnan@foolcontrol.org>:
Bug#459219; Package wnpp. (Sun, 23 Sep 2012 09:06:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Matt Taggart <taggart@debian.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Adnan Hodzic <adnan@foolcontrol.org>. (Sun, 23 Sep 2012 09:06:03 GMT) Full text and rfc822 format available.

Message #132 received at 459219@bugs.debian.org (full text, mbox):

From: Matt Taggart <taggart@debian.org>
To: 459219@bugs.debian.org
Subject: Re: ITP: android
Date: Sun, 23 Sep 2012 01:55:07 -0700
Thanks for working on getting the android development stuff packaged!

I think I agree with what Laszlo said about having separate package for 
some things (although mainly at the binary package level, I guess I don't 
care at the source package level).

I don't need to develop android applications, I mainly just need adb and 
fastboot in order to talk to and boot my devices. I found these (slightly 
older, but maybe still relevant) howtos

http://lackingrhoticity.blogspot.com/2010/02/how-to-build-adb-android-debugg
er.html
http://mancoosi.org/~abate/build-android-adb-debian-sid-amd64

It would be nice to be able to install adb without having to install the 
whole SDK and java (and avoid downloading binaries and weird licenses, etc).

What do you think?

Thanks,

-- 
Matt Taggart
taggart@debian.org





Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#459219; Package wnpp. (Sun, 23 Sep 2012 12:06:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Adnan Hodzic <adnan@foolcontrol.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Sun, 23 Sep 2012 12:06:03 GMT) Full text and rfc822 format available.

Message #137 received at 459219@bugs.debian.org (full text, mbox):

From: Adnan Hodzic <adnan@foolcontrol.org>
To: Matt Taggart <taggart@debian.org>, 459219@bugs.debian.org
Subject: Re: Bug#459219: ITP: android
Date: Sun, 23 Sep 2012 13:43:56 +0200
I generally agree with what Laszlo and you said, and android-tools
(adb, fastboot and perhaps others?) package should appear in Debian as
soon as possible. If I can help in any way to make that goal happen,
please do let me know.

On the other side, I still haven't given up on my idea of
"android-sdk-installer".

More info:
http://foolcontrol.org/?p=1545
and/or
http://www.omgubuntu.co.uk/2012/07/android-sdk-installer-for-linux-debianubuntu

Which "bundles" all the components from udev rules over Eclipse plugin
to SDK itself into single package. I just need more time to realize
this idea, as currently I'm the only one working on it and this isn't
my full time job.


Adnan

On Sun, Sep 23, 2012 at 10:55 AM, Matt Taggart <taggart@debian.org> wrote:
> Thanks for working on getting the android development stuff packaged!
>
> I think I agree with what Laszlo said about having separate package for
> some things (although mainly at the binary package level, I guess I don't
> care at the source package level).
>
> I don't need to develop android applications, I mainly just need adb and
> fastboot in order to talk to and boot my devices. I found these (slightly
> older, but maybe still relevant) howtos
>
> http://lackingrhoticity.blogspot.com/2010/02/how-to-build-adb-android-debugg
> er.html
> http://mancoosi.org/~abate/build-android-adb-debian-sid-amd64
>
> It would be nice to be able to install adb without having to install the
> whole SDK and java (and avoid downloading binaries and weird licenses, etc).
>
> What do you think?
>
> Thanks,
>
> --
> Matt Taggart
> taggart@debian.org



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Adnan Hodzic <adnan@foolcontrol.org>:
Bug#459219; Package wnpp. (Mon, 15 Oct 2012 23:09:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Stefan Handschuh <handschuh.stefan@googlemail.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Adnan Hodzic <adnan@foolcontrol.org>. (Mon, 15 Oct 2012 23:09:06 GMT) Full text and rfc822 format available.

Message #142 received at 459219@bugs.debian.org (full text, mbox):

From: Stefan Handschuh <handschuh.stefan@googlemail.com>
To: 459219@bugs.debian.org
Subject: Short update
Date: Tue, 16 Oct 2012 01:06:43 +0200
[Message part 1 (text/plain, inline)]
Here is a short update:

Jakub Adam has started to package the adt plugin for eclipse (see
#687057 for reference).

In the meantime, I packaged* dalvik, libandroidutils and
libandroidcutils which are needed for zipalign and aapt. Aidl should be
easy to package as it does not seem to have any external dependencies.

So there are only three packages left before the packaging of the sdk
itself can start.

@Matt:
adb is packaged and uploaded to debian sid as "android-tools-adb"




----
* with "packaged" I mean "created a package that works - nothing
uploaded into the debian repositories yet"
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Adnan Hodzic <adnan@foolcontrol.org>:
Bug#459219; Package wnpp. (Wed, 21 Aug 2013 13:48:10 GMT) Full text and rfc822 format available.

Acknowledgement sent to Lucas Nussbaum <lucas@debian.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Adnan Hodzic <adnan@foolcontrol.org>. (Wed, 21 Aug 2013 13:48:10 GMT) Full text and rfc822 format available.

Message #147 received at 459219@bugs.debian.org (full text, mbox):

From: Lucas Nussbaum <lucas@debian.org>
To: 459219@bugs.debian.org
Cc: control@bugs.debian.org
Subject: android: changing back from ITP to RFP
Date: Wed, 21 Aug 2013 15:44:09 +0200
retitle 459219 RFP: android -- Android SDK (mobile phone platform)
noowner 459219
tag 459219 - pending
thanks

Hi,

A long time ago, you expressed interest in packaging android. Unfortunately,
it seems that it did not happen. In Debian, we try not to keep ITP bugs open
for a too long time, as it might cause other prospective maintainers to
refrain from packaging the software.

This is an automatic email to change the status of android back from ITP
(Intent to Package) to RFP (Request for Package), because this bug hasn't seen
any activity during the last 10 months.

If you are still interested in packaging android, please send a mail to
<control@bugs.debian.org> with:

 retitle 459219 ITP: android -- Android SDK (mobile phone platform)
 owner 459219 !
 thanks

It is also a good idea to document your progress on this ITP from time to
time, by mailing <459219@bugs.debian.org>.  If you need guidance on how to
package this software, please reply to this email, and/or contact the
debian-mentors@lists.debian.org mailing list.

Thank you for your interest in Debian,
-- 
Lucas, for the QA team <debian-qa@lists.debian.org>



Changed Bug title to 'RFP: android -- Android SDK (mobile phone platform)' from 'ITP: android -- Android SDK (mobile phone platform)' Request was from Lucas Nussbaum <lucas@debian.org> to control@bugs.debian.org. (Wed, 21 Aug 2013 13:54:26 GMT) Full text and rfc822 format available.

Removed annotation that Bug was owned by Adnan Hodzic <adnan@foolcontrol.org>. Request was from Lucas Nussbaum <lucas@debian.org> to control@bugs.debian.org. (Wed, 21 Aug 2013 13:54:27 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#459219; Package wnpp. (Sat, 31 Aug 2013 05:21:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to shirish शिरीष <shirishag75@gmail.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Sat, 31 Aug 2013 05:21:04 GMT) Full text and rfc822 format available.

Message #156 received at 459219@bugs.debian.org (full text, mbox):

From: shirish शिरीष <shirishag75@gmail.com>
To: 459219@bugs.debian.org
Subject: just so people know which of the android stuff is already packaged.
Date: Sat, 31 Aug 2013 10:49:33 +0530
Hi all,
Just sharing so people may know what's already in the archive and
what's still left to do.

$ aptitude search android
p   android-tools-adb                 - Android Debug Bridge CLI tool
p   android-tools-fastboot          - Android Fastboot protocol CLI
tool
p   android-tools-fsutils               - Android ext4 utilities with
sparse support
p   ibus-pinyin-db-android           - Pinyin engine for IBus -
Android database
p   libandroid-json-org-java          - androids rewrite of the evil
licensed json.org
p   libandroid-json-org-java-doc   - Documentation for androids
rewrite of the evil licensed json.org


Most of these tools have also migrated to testing it seems (for e.g.)  :-

$ apt-cache policy android-tools-adb
android-tools-adb:
  Installed: (none)
  Candidate: 4.2.2+git20130529-3
  Version table:
     4.2.2+git20130529-3 0
        600 http://debian.ec.as6453.net/debian/ testing/main amd64 Packages
          1 http://debian.ec.as6453.net/debian/ unstable/main amd64 Packages

I am planning to buy an android device soonish so these tools and any
others would be handy.
-- 
          Regards,
          Shirish Agarwal  शिरीष अग्रवाल
  My quotes in this email licensed under CC 3.0
http://creativecommons.org/licenses/by-nc/3.0/
http://flossexperiences.wordpress.com
065C 6D79 A68C E7EA 52B3  8D70 950D 53FB 729A 8B17



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#459219; Package wnpp. (Thu, 19 Sep 2013 16:06:09 GMT) Full text and rfc822 format available.

Acknowledgement sent to shirish शिरीष <shirishag75@gmail.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Thu, 19 Sep 2013 16:06:09 GMT) Full text and rfc822 format available.

Message #161 received at 459219@bugs.debian.org (full text, mbox):

From: shirish शिरीष <shirishag75@gmail.com>
To: android-sdk-emulator <459219@bugs.debian.org>
Subject: guess the only thing remaining is the android emulator ?
Date: Thu, 19 Sep 2013 21:34:25 +0530
Hi all,
Is the only thing remaining the android emulator or something else ?

Also, from the discussion on the thread it seems that the android emulator is
modified qemu. Does anybody if that is still the case or not ?

It would be nice to know if somebody is working on it ?

Maybe it could conflict the qemu or qemu-system package .

Looking forward to know.
-- 
          Regards,
          Shirish Agarwal  शिरीष अग्रवाल
  My quotes in this email licensed under CC 3.0
http://creativecommons.org/licenses/by-nc/3.0/
http://flossexperiences.wordpress.com
065C 6D79 A68C E7EA 52B3  8D70 950D 53FB 729A 8B17



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#459219; Package wnpp. (Mon, 04 Nov 2013 18:57:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Hans-Christoph Steiner <hans@eds.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Mon, 04 Nov 2013 18:57:04 GMT) Full text and rfc822 format available.

Message #166 received at 459219@bugs.debian.org (full text, mbox):

From: Hans-Christoph Steiner <hans@eds.org>
To: 459219@bugs.debian.org
Subject: packaging aapt
Date: Mon, 04 Nov 2013 13:55:28 -0500
[Message part 1 (text/plain, inline)]
I'd like to package aapt and get it into Debian to work in conjunction with my
recently uploaded fdroidserver package.  Stefan Handschuh said he's packaged
all the dependencies, but I can't find them anywhere. Any word on that?

It looks like aapt is in a separate repo from android-tools
(platform/frameworks/base versus platform/system/core), so I don't see a
reason to include it in the same source package.  In fact, that makes me think
that we should be organizing the source packages around the upstream git
repos.  Perhaps its time for a pkg-android team? I'd join.

.hc

[signature.asc (application/pgp-signature, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#459219; Package wnpp. (Fri, 08 Nov 2013 14:33:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to chrysn <chrysn@fsfe.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Fri, 08 Nov 2013 14:33:04 GMT) Full text and rfc822 format available.

Message #171 received at 459219@bugs.debian.org (full text, mbox):

From: chrysn <chrysn@fsfe.org>
To: 459219@bugs.debian.org
Subject: Re: testing fdroidserver
Date: Fri, 8 Nov 2013 15:30:47 +0100
[Message part 1 (text/plain, inline)]
hello android packagers,

due to the recent packaging of fdroidserver (#727716, waiting in NEW), i
tried to get an impression on what can currently be done in debian with
android. as i object to using non-free build systems to build free software, i
used nothing but the pre-built replicant sdk [1] (single zip file)
fdroidserver with its dependencies (and suggests and recommends).

some tuning in android targets is necessary when using the
fully-automated fdroid apk build system, but apart from that, things
seem to work. so my point / impression is:

* there is an sdk that can build at least some android applications and
  is free software.
* one of the things that makes android packaging difficult is the whole
  installer / download dance that has to be done due to nonfree licenses
  involved.

therefore, to the list of software this collective rfp describes, i'd
add the replicant sdk, for it can be built and installed like we are
used to.[2]

when the android sdk is then completely packaged as an installer (or
gets released under a free license again), they can coexist by providing
a common android-sdk package name / using alternatives.

best regards
chrysn

[1] http://ftp.osuosl.org/pub/replicant/sdk/replicant-4.0/0001/sdk/replicant-sdk_linux-x86.zip
[2] more or less; it's definitely not a `./configure && make && make
    install`, but at least it's documented at [3]
[3] http://redmine.replicant.us/projects/replicant/wiki/SDKBuild

-- 
To use raw power is to make yourself infinitely vulnerable to greater powers.
  -- Bene Gesserit axiom
[signature.asc (application/pgp-signature, inline)]

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Mon Apr 21 07:05:14 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.